Program PRG0000;
Var
    S:String;
    K:Integer;
    L:Integer;
    I:Integer;
Procedure P170;Forward;
Procedure P150;Forward;
Procedure P100;Forward;
Procedure P100;
Begin
  I:=I-1;
  P150;
  end;
Procedure P150;
Begin
  I:=I+1;
  P170;
  end;
Procedure P170;
Begin
  K:=K+1;
  end;
Begin
  Read(I,L,K);
  K:=10;
  S:='2';
  WriteLn(K,'              ',S);
  S:=S+'3';
  For I:=10 To 20 Do
    Begin
    WriteLn(I);
    K:=K+1;
    P100;
    End;
  WriteLn(S);
  WriteLn(EXP(SQRT(2*Sin(K)/Cos(K))*LN(ABS(I))));
End.
